> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/remote-desktop-manager-powershell/powershell-scripting/list-of-property-names-for-powershell-script.md).

# List of property names for PowerShell script

We are often asked for a full list of property names and it is hard to provide for multiple reasons. The most effective approach remains examining the XML structure of a relevant entry to ascertain the field names.

### Reverse engineering an entry's structure

1. Create an entry of the needed type, add only mandatory data at this time. Click ***OK*** to save the entry.
2. Right-click the entry, then use ***Clipboard – Copy***.
3. In the dialog that appears, switch to the ***Preview*** tab, copy the XML structure to a text file. This is the BEFORE.
4. Manually perform the modification to the entry that should be automated using PowerShell, save the entry.
5. Using ***Clipboard – Copy***, save the modified XML to another file. This is the AFTER.
6. Compare the two files with a difference tool, the fields that have changed and the values that have been assigned will indicate what the script should do.

{% hint style="info" %}
Learn more about [Remote Desktop Manager credential properties GUIDs](https://docs.devolutions.net/powershell/rdm-powershell/xml-information/) and [Devolutions Server credential properties GUIDs](https://docs.devolutions.net/powershell/dvls-powershell/xml-information/).
{% endhint %}

### Tips and tricks

* To find properties and paths, reverse engineer the session XML file format. Create a sample session in Remote Desktop Manager and export it using the right click menu ***Import/Export – Export Session (.rdm)***. Once exported, open the .rdm file with an editor. Browse the XML structure to find the property path and name.
* To list all properties of an entry, pipe the session object to Get-Member cmdlet.

```powershell
$session = Get-RDMSession -Name "MyRDPSession"
$session | Get-Member
```

#### See also

* [Devolutions Academy – Work with list of property names for PowerShell script and custom reports](https://academy.devolutions.net/student/page/2849045-work-with-list-of-property-names-for-powershell-script-and-custom-reports?curriculum_activity_id=4343923\&path_id=2628397\&sid=3dc8eec6-00a5-4443-ad91-950b3aac7dff\&sid_i=0)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.devolutions.net/powershell/remote-desktop-manager-powershell/powershell-scripting/list-of-property-names-for-powershell-script.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
